> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deposit address history

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /deposit-addresses/{depositAddress}/{depositChain}/history
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}/history:
    get:
      tags:
        - depositAddresses
      summary: Get deposit address history
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.historyDepositAddress
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
          required: true
        - name: depositChain
          in: path
          schema:
            type: string
          required: true
        - name: from
          in: query
          schema:
            $ref: '#/components/schemas/from'
          required: false
        - name: to
          in: query
          schema:
            $ref: '#/components/schemas/from'
          required: false
      responses:
        '200':
          description: DepositAddressHistoryResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositAddressHistoryResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressNotFound'
                  - $ref: '#/components/schemas/DepositAddressChainsNotSupported'
                  - $ref: '#/components/schemas/InvalidDateRange'
        '503':
          description: EndpointDisabledError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDisabledError'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    from:
      type: string
      description: >-
        Start date for the history query, in milliseconds since epoch or
        Date.parse compatible string. Optional, defaults to 7 days ago. Max
        window is 31 days
    DepositAddressHistoryResponse:
      type: object
      required:
        - depositAddress
        - depositChain
        - bridges
      properties:
        depositAddress:
          type: string
          description: The deposit address for which history is being retrieved.
          title: nonEmptyString
          minLength: 1
        depositChain:
          type: string
          description: The blockchain network identifier of the deposit address.
          title: nonEmptyString
          minLength: 1
        bridges:
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/DepositAddressBridgeFailedApi'
              - $ref: '#/components/schemas/DepositAddressBridgeRejectedApi'
              - $ref: '#/components/schemas/DepositAddressBridgeAcceptedApi'
          description: >-
            Array of bridge transactions associated with this deposit address,
            including accepted, failed, and rejected transactions.
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    DepositAddressChainsNotSupported:
      type: object
      required:
        - chains
        - _tag
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressChainsNotSupported
      additionalProperties: false
    InvalidDateRange:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidDateRange
      additionalProperties: false
    EndpointDisabledError:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - EndpointDisabledError
      additionalProperties: false
    DepositAddressBridgeFailedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - createdAt
        - _tag
      properties:
        _id:
          $ref: '#/components/schemas/NonEmptyString'
        tokenSymbol:
          $ref: '#/components/schemas/NonEmptyString'
        tokenAddress:
          $ref: '#/components/schemas/NonEmptyString'
        amount:
          $ref: '#/components/schemas/AmountWithDecimals'
        amountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountWei:
          $ref: '#/components/schemas/BigInt'
        sender:
          $ref: '#/components/schemas/NonEmptyString'
        txHash:
          $ref: '#/components/schemas/NonEmptyString'
        originalErrorTag:
          $ref: '#/components/schemas/NonEmptyString'
        createdAt:
          $ref: '#/components/schemas/DateTimeUtc'
        _tag:
          type: string
          enum:
            - failed
      additionalProperties: false
    DepositAddressBridgeRejectedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - reason
        - txUid
        - createdAt
        - _tag
      properties:
        _id:
          $ref: '#/components/schemas/NonEmptyString'
        tokenSymbol:
          $ref: '#/components/schemas/NonEmptyString'
        tokenAddress:
          $ref: '#/components/schemas/NonEmptyString'
        amount:
          $ref: '#/components/schemas/AmountWithDecimals'
        amountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountWei:
          $ref: '#/components/schemas/BigInt'
        sender:
          type: string
        txHash:
          type: string
        originalErrorTag:
          $ref: '#/components/schemas/NonEmptyString'
        reason:
          type: string
          enum:
            - OVER_MAX
            - UNDER_MIN
            - OPERATION_UNAVAILABLE
            - TERMINAL_PROCESSING_ISSUE
            - NO_ROUTE_FOUND
            - UNSUPPORTED_TOKEN
        txUid:
          $ref: '#/components/schemas/NonEmptyString'
        createdAt:
          $ref: '#/components/schemas/DateTimeUtc'
        blockNumber:
          $ref: '#/components/schemas/NonNegativeInt'
        _tag:
          type: string
          enum:
            - rejected
      additionalProperties: false
    DepositAddressBridgeAcceptedApi:
      type: object
      required:
        - _id
        - tokenSymbol
        - tokenAddress
        - amount
        - amountUsd
        - amountWei
        - sender
        - txHash
        - history
        - createdAt
        - _tag
      properties:
        _id:
          $ref: '#/components/schemas/NonEmptyString'
        tokenSymbol:
          $ref: '#/components/schemas/NonEmptyString'
        tokenAddress:
          $ref: '#/components/schemas/NonEmptyString'
        amount:
          $ref: '#/components/schemas/AmountWithDecimals'
        amountUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountWei:
          $ref: '#/components/schemas/BigInt'
        sender:
          $ref: '#/components/schemas/NonEmptyString'
        txHash:
          $ref: '#/components/schemas/NonEmptyString'
        history:
          anyOf:
            - $ref: '#/components/schemas/DepositAddressBridgePending'
            - $ref: '#/components/schemas/DepositAddressBridgePendingConfirmation'
            - $ref: '#/components/schemas/DepositAddressBridgeFailed'
            - $ref: '#/components/schemas/DepositAddressBridgeDepositAccepted'
            - $ref: '#/components/schemas/DepositAddressBridgeAccepted'
            - $ref: '#/components/schemas/DepositAddressBridgeExecuted'
        createdAt:
          $ref: '#/components/schemas/DateTimeUtc'
        _tag:
          type: string
          enum:
            - accepted
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    AmountWithDecimals:
      type: string
      description: >-
        A value representing the human readable, normalized transaction amount
        or balance
    BigDecimalFromNumber:
      type: number
      description: a number to be decoded into a BigDecimal
    BigInt:
      type: string
      description: a string to be decoded into a bigint
    DateTimeUtc:
      type: string
      description: a string to be decoded into a DateTime.Utc
    NonNegativeInt:
      type: integer
      description: an integer
      title: int
      minimum: 0
    DepositAddressBridgePending:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        state:
          type: string
          enum:
            - PENDING
      additionalProperties: false
    DepositAddressBridgePendingConfirmation:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - depositTxHash
        - depositDiscoveredAt
        - expectedDepositConfirmedAt
        - expectedDepositConfirmedAtBlock
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        depositTxHash:
          type: string
        depositDiscoveredAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAtBlock:
          $ref: '#/components/schemas/Int'
        state:
          type: string
          enum:
            - PENDING_CONFIRMATION
      additionalProperties: false
    DepositAddressBridgeFailed:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - depositTxHash
        - depositCommittedAt
        - failedAt
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        depositTxHash:
          type: string
        depositCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        depositDiscoveredAt:
          $ref: '#/components/schemas/DateFromString'
        depositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAtBlock:
          $ref: '#/components/schemas/Int'
        preSwapTxHash:
          type: string
        preSwapCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        isConfirmed:
          type: boolean
        failedAt:
          $ref: '#/components/schemas/DateFromString'
        state:
          type: string
          enum:
            - FAILED
      additionalProperties: false
    DepositAddressBridgeDepositAccepted:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - depositTxHash
        - depositCommittedAt
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        depositTxHash:
          type: string
        depositCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        depositDiscoveredAt:
          $ref: '#/components/schemas/DateFromString'
        depositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAtBlock:
          $ref: '#/components/schemas/Int'
        preSwapTxHash:
          type: string
        preSwapCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        isConfirmed:
          type: boolean
        state:
          type: string
          enum:
            - DEPOSIT_ACCEPTED
      additionalProperties: false
    DepositAddressBridgeAccepted:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - depositTxHash
        - depositCommittedAt
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        depositTxHash:
          type: string
        depositCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        depositDiscoveredAt:
          $ref: '#/components/schemas/DateFromString'
        depositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAtBlock:
          $ref: '#/components/schemas/Int'
        preSwapTxHash:
          type: string
        preSwapCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        isConfirmed:
          type: boolean
        state:
          type: string
          enum:
            - ACCEPTED
      additionalProperties: false
    DepositAddressBridgeExecuted:
      type: object
      required:
        - _tag
        - _id
        - userId
        - chainIn
        - chainOut
        - amountIn
        - amountInUsd
        - amountOut
        - amountOutUsd
        - amountNative
        - amountNativeUsd
        - fee
        - feeUsd
        - gasFee
        - gasFeeUsd
        - platformFee
        - platformFeeUsd
        - percentageFee
        - percentageFeeUsd
        - sourceGasFee
        - sourceGasFeeUsd
        - sponsoredFees
        - recipient
        - depositor
        - createdAt
        - commitmentDate
        - token
        - usdPrice
        - depositAddress
        - depositTxHash
        - depositCommittedAt
        - withdrawTxHash
        - withdrawCommittedAt
        - state
      properties:
        _tag:
          type: string
          enum:
            - depositAddressBridge
        _id:
          type: string
        userId:
          type: string
        chainIn:
          type: string
        chainOut:
          type: string
        amountIn:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountInUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountOut:
          $ref: '#/components/schemas/BigDecimalFromString'
        amountOutUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        amountNative:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromString'
            - type: 'null'
        amountNativeUsd:
          anyOf:
            - $ref: '#/components/schemas/BigDecimalFromNumber'
            - type: 'null'
        fee:
          $ref: '#/components/schemas/BigDecimal'
        feeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        gasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        gasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        platformFee:
          $ref: '#/components/schemas/BigDecimal'
        platformFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        percentageFee:
          $ref: '#/components/schemas/BigDecimal'
        percentageFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sourceGasFee:
          $ref: '#/components/schemas/BigDecimalFromString'
        sourceGasFeeUsd:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        sponsoredFees:
          type: object
          required:
            - fee
            - feeUsd
            - gasFee
            - gasFeeUsd
            - platformFee
            - platformFeeUsd
            - percentageFee
            - percentageFeeUsd
            - sourceGasFee
            - sourceGasFeeUsd
          properties:
            fee:
              $ref: '#/components/schemas/BigDecimal'
            feeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            gasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            gasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            platformFee:
              $ref: '#/components/schemas/BigDecimal'
            platformFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            percentageFee:
              $ref: '#/components/schemas/BigDecimal'
            percentageFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
            sourceGasFee:
              $ref: '#/components/schemas/BigDecimalFromString'
            sourceGasFeeUsd:
              $ref: '#/components/schemas/BigDecimalFromNumber'
          additionalProperties: false
        recipient:
          type: string
        depositor:
          type: string
        createdAt:
          $ref: '#/components/schemas/DateFromString'
        commitmentDate:
          $ref: '#/components/schemas/DateFromString'
        speed:
          type: string
          enum:
            - fast
            - standard
            - slow
        estimatedDuration:
          type: number
          description: a non-negative number to be decoded into a Duration
          title: nonNegative
          minimum: 0
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
        token:
          type: string
        tokenOut:
          type: string
        usdPrice:
          $ref: '#/components/schemas/BigDecimalFromNumber'
        depositAddress:
          type: string
        depositTxHash:
          type: string
        depositCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        depositDiscoveredAt:
          $ref: '#/components/schemas/DateFromString'
        depositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAt:
          $ref: '#/components/schemas/DateFromString'
        expectedDepositConfirmedAtBlock:
          $ref: '#/components/schemas/Int'
        preSwapTxHash:
          type: string
        preSwapCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        isConfirmed:
          type: boolean
        withdrawTxHash:
          type: string
        withdrawCommittedAt:
          $ref: '#/components/schemas/DateFromString'
        state:
          type: string
          enum:
            - EXECUTED
      additionalProperties: false
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
    BigDecimalFromString:
      type: string
      description: a string to be decoded into a BigDecimal
    BigDecimal:
      type: string
      description: a string to be decoded into a BigDecimal
    DateFromString:
      type: string
      description: a string to be decoded into a Date
    ExtendedPostBridgeData:
      type: object
      required:
        - _tag
        - vaultId
      properties:
        _tag:
          type: string
          enum:
            - extended
        vaultId:
          $ref: '#/components/schemas/NonNegativeInt'
      additionalProperties: false
    StarkwareBtcfiCampaignPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfi
      additionalProperties: false
    WirexWrapPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrap
      additionalProperties: false
    WirexWrapSandboxPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrapsandbox
      additionalProperties: false
    StarkwareBtcfiCampaignV2PostBridgeData:
      type: object
      required:
        - _tag
        - spans
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfiv2
        spans:
          type: array
          items:
            $ref: '#/components/schemas/StarknetFelt'
          description: an array of at most 70 item(s)
          title: maxItems(70)
          maxItems: 70
      additionalProperties: false
    AaveV3SupplyPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - aavev3supply
      additionalProperties: false
    RocketFoundationDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - rocketfoundationdeposit
      additionalProperties: false
    MapleDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - mapledeposit
      additionalProperties: false
    Int:
      type: integer
      description: an integer
      title: int
    StarknetFelt:
      type: string
      description: a string that will be trimmed
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````